# Interface WindowSettings<D>

interface WindowSettings<D = any> {
actions?: WindowActions<D>;
data?: D;
draggable?: boolean;
height?: string;
icon?: IconConfig;
id?: string;
maxHeight?: string;
maxWidth?: string;
minHeight?: string;
minimizable?: boolean;
minWidth?: string;
panelClass?: string;
resizeable?: boolean;
title?: string;
width?: string;
}

#### Type Parameters

- D = any

#### Hierarchy (View Summary)

- WindowSettings
  - WindowConfig

- Defined in packages/angular/window-system/src/lib/window-config.ts:16

#####
Index

### Properties

actions?
data?
draggable?
height?
icon?
id?
maxHeight?
maxWidth?
minHeight?
minimizable?
minWidth?
panelClass?
resizeable?
title?
width?

##
Properties

### `Optional` actions

actions?: WindowActions<D>

- Defined in packages/angular/window-system/src/lib/window-config.ts:31

### `Optional` data

data?: D

- Defined in packages/angular/window-system/src/lib/window-config.ts:30

### `Optional` draggable

draggable?: boolean

- Defined in packages/angular/window-system/src/lib/window-config.ts:28

### `Optional` height

height?: string

- Defined in packages/angular/window-system/src/lib/window-config.ts:21

### `Optional` icon

icon?: IconConfig

- Defined in packages/angular/window-system/src/lib/window-config.ts:19

### `Optional` id

id?: string

- Defined in packages/angular/window-system/src/lib/window-config.ts:17

### `Optional` maxHeight

maxHeight?: string

- Defined in packages/angular/window-system/src/lib/window-config.ts:25

### `Optional` maxWidth

maxWidth?: string

- Defined in packages/angular/window-system/src/lib/window-config.ts:24

### `Optional` minHeight

minHeight?: string

- Defined in packages/angular/window-system/src/lib/window-config.ts:23

### `Optional` minimizable

minimizable?: boolean

- Defined in packages/angular/window-system/src/lib/window-config.ts:27

### `Optional` minWidth

minWidth?: string

- Defined in packages/angular/window-system/src/lib/window-config.ts:22

### `Optional` panelClass

panelClass?: string

- Defined in packages/angular/window-system/src/lib/window-config.ts:29

### `Optional` resizeable

resizeable?: boolean

- Defined in packages/angular/window-system/src/lib/window-config.ts:26

### `Optional` title

title?: string

- Defined in packages/angular/window-system/src/lib/window-config.ts:18

### `Optional` width

width?: string

- Defined in packages/angular/window-system/src/lib/window-config.ts:20